/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: StubSearchEngine.java,v 1.3 2006/02/21 13:16:52 akabane Exp $
 */
package org.logical_paradox.koike.tools.ri;

import java.util.List;

import org.logical_paradox.koike.core.KoikeConfig;
import org.logical_paradox.koike.core.search.Element;
import org.logical_paradox.koike.core.search.KoikeIndexResultSet;
import org.logical_paradox.koike.core.search.SearchException;
import org.logical_paradox.koike.rss.search.RSSSearchEngine;
import org.logical_paradox.koike.tools.isys.StubIndexAccessor;

/**
 * テスト用のスタブ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class StubSearchEngine extends RSSSearchEngine {
	/**
	 * コンストラクタ
	 * @param cfg コンフィグレーション
	 * @throws Exception インスタンスの生成に失敗
	 */
	public StubSearchEngine(KoikeConfig cfg) throws Exception {
		super(cfg);
	}
	/**
	 * executeQuery()をpublicで公開するためのラッパーメソッド
	 */
	@Override
	public KoikeIndexResultSet executeQuery(String keyword) throws SearchException {
		return super.executeQuery(keyword);
	}
	/**
	 * このサーチエンジン(スタブ)の初期化処理
	 * SearchEngine#init()をオーバーライドするため
	 */
	@Override
	protected void init() throws Exception {
		// インデックスアクセサを初期化する(インデックスファイルのロード)
		StubIndexAccessor stubixr = (StubIndexAccessor)getIndexAccessor();
		stubixr.load();
	}

	/**
	 * 要素を問い合わせて結果を取得する
	 */
	@Override
	public KoikeIndexResultSet retrieve(List<String> searchWords, Element element) throws SearchException {
		return super.retrieve(searchWords, element);
	}
}
